<app-side-modal (closeClick)="closeClick.emit()">
  <!-- header -->
  <app-side-modal-header>
    <!-- title -->
    <app-side-modal-title> {{ mode | uppercase }} {{ group | uppercase }} STATUS </app-side-modal-title>
  </app-side-modal-header>

  <!-- content -->
  <app-side-modal-content>
    <!-- scroll content -->
    <app-custom-scrollbar>
      <!-- label -->
      <app-form-field [control]="name" [errors]="nameErrors" label="Name" type="input"></app-form-field>

      <!-- description -->
      <app-form-field
        [control]="description"
        [errors]="descriptionErrors"
        label="Description"
        type="text"
      ></app-form-field>

      <!-- use options -->
      <div class="app-options">
        <div (click)="setUse(true)" class="app-radio">
          <app-radio [checked]="use"></app-radio>
          USE
        </div>

        <div (click)="setUse(false)" class="app-radio">
          <app-radio [checked]="!use"></app-radio>
          DON'T USE
        </div>
      </div>

      <!-- default -->
      <div (click)="toggleDefault()" class="app-checkbox">
        <app-checkbox [active]="isDefault" appearance="filled"></app-checkbox>
        DEFAULT
      </div>
    </app-custom-scrollbar>
  </app-side-modal-content>

  <!-- footer -->
  <app-side-modal-footer>
    <app-spinner *ngIf="loading; else actions"></app-spinner>

    <ng-template #actions>
      <button (click)="emitSaveClick()" appFlatButton theme="secondary">
        Save
      </button>

      <button (click)="closeClick.emit()" appInlineButton theme="secondary">
        Cancel
      </button>
    </ng-template>
  </app-side-modal-footer>
</app-side-modal>
